#ifndef _FREETREE_H_
#define _FREETREE_H_

#include "tree.h"

void freetree(struct OMObjectNode *tree);
void freeobject(struct OMObjectNode *obj);
void freeinteger(struct OMIntegerNode *obj);
void freesymbol(struct OMSymbolNode *obj);
void freevariable(struct OMVariableNode *obj);
void freefloatingp(struct OMFloatingPNode *obj);
void freestring(struct OMStringNode *obj);
void freewcstring(struct OMWCStringNode *obj);
void freebytearray(struct OMByteArrayNode *obj);
void freeapplication(struct OMApplicationNode *obj);
void freebinding(struct OMBindingNode *obj);
void freeattribution(struct OMAttributionNode *obj);
void freeerror(struct OMErrorNode *obj);
void freeatp(struct OMAtpNode *obj);


#endif /* _FREETREE_H_ */
