#include <sys/types.h>
#include <stdio.h>
#include <stdlib.h>
#include "OM.h"
#include <stdarg.h>
#include "util.h"

void checkstatus(OMstatus s) {
	if( s != OMsuccess )
		die("Parsing failed - %s\n", OMstatusToString(s));
}

void die(char *fmt,...) {
	va_list ap;

	va_start(ap, fmt);
	vfprintf(stderr, fmt, ap);
	va_end(ap);
#ifdef DEBUG
	abort();
#else
	exit(1);
#endif
}

void warn(char *fmt,...) {
	va_list ap;

	va_start(ap, fmt);
	vfprintf(stderr, fmt, ap);
	va_end(ap);
}
