#

$thiscd = 'altenc';

$cdformatter{$thiscd} = {
	'MathML_encoding' => {
		'attribution'      => \&tex_altenc_MathML_encoding_symbol,
		},
	'LaTeX_encoding' => {
		'attribution'      => \&tex_altenc_LaTeX_encoding_symbol,
		},
};

sub tex_altenc_MathML_encoding_symbol {
	my ($node) = @_;
	my $object = $node->{'object'};
	my $attrs = $node->{'attrs'};
	my $atp;
	my $fmt;
	my $sfmt;

	$atp = $attrs->[0];
	$sfmt = &format_type($object)->{'sfmt'};
	$fmt = $sfmt .
		'\mbox{ has MathML encoding }' .
		&format_type($atp->{'value'})->{'fmt'} .
		' , ' .
		&format_type($object)->{'fmt'};


	return ({'fmt' => $fmt, 'sfmt' => $sfmt,
		'lpren' => '\left(', 'rpren' => '\right)'});
}


sub tex_altenc_LaTeX_encoding_symbol {
	my ($node) = @_;
	my $object = $node->{'object'};
	my $attrs = $node->{'attrs'};
	my $atp;
	my $fmt;
	my $sfmt;

	$atp = $attrs->[0];
	$sfmt = &format_type($object)->{'sfmt'};
	$fmt = $sfmt .
		'\mbox{ has \LaTeX\  encoding }' .
		&format_type($atp->{'value'})->{'fmt'} .
		' , ' .
		&format_type($object)->{'fmt'};

	if( $atp->{'value'}->{'type'} eq 'string' ) {
		$sfmt = $atp->{'value'}->{'value'};
	}

	return ({'fmt' => $fmt, 'sfmt' => $sfmt,
		'lpren' => '\left(', 'rpren' => '\right)'});
}

1;
