#

$thiscd = 'relation2';

$cdformatter{$thiscd} = {
	'approx' => {
		'symbol' => \&tex_relation2_relation_symbol,
		'application' => \&tex_relation2_relation_application,
		},
};

%texreln2fmt = (
	'approx' => ' \approx ',
);

sub tex_relation2_relation_symbol {
	my ($node) = @_;
	my $fmt;

	$fmt = $texreln2fmt{$node->{'name'}};
	return ({'fmt' => $fmt, 'sfmt' => $fmt,
		'lpren' => '', 'rpren' => ''});
}

sub tex_relation2_relation_application {
	my ($node) = @_;
	my $args = $node->{'args'};
	my $fmt;

	if( scalar(@$args) != 2 ) {
		&format_die($node->{'head'}->{'name'} . " with wrong number of args.\n");
	}

	$fmt = $texreln2fmt{$node->{'head'}->{'name'}};
	return &binary_reln($node,$fmt);
}

1;
