#include "tree.h"
#include "util.h"
#include "buildtree.h"
#include "printtree.h"
#include "perltree.h"
#include "freetree.h"
#include "tidytree.h"
#include <stdio.h>
#include <sys/types.h>
#include "OM.h"

int
main(int argc,char **argv)
{
	OMdev dev;
	OMtokenType type;
	struct OMObjectNode *tree;

	dev = OMmakeDevice(OMencodingUnknown,OMmakeIOFile(stdin));

	printf("sub OMgettrees {\n\treturn (");
	while( OMgetType(dev,&type) == OMsuccess && type == OMtokenObject ) {
		tree = buildtree(dev);
		perltree(stdout,tree);
		printf(",\n\t");
		freetree(tree);
	}
	printf("\t);\n}\n");

	return 0;
}
