#

$thiscd = 'minmax';

$cdformatter{$thiscd} = {
	'max' => {
		'symbol'      => \&tex_minmax_fn_symbol,
		'application' => \&tex_minmax_fn_application,
		},
	'min' => {
		'symbol'      => \&tex_minmax_fn_symbol,
		'application' => \&tex_minmax_fn_application,
		},
};

%texminmax2fmt = (
	'max' => '\max ',
	'min' => '\min ',
);

sub tex_minmax_fn_symbol {
	my ($node) = @_;
	my $fmt;

	$fmt = $texminmax2fmt{$node->{'name'}};
	return ({'fmt' => $fmt, 'sfmt' => $fmt,
		'lpren' => '', 'rpren' => ''});
}

sub tex_minmax_fn_application {
	my ($node) = @_;
	my $args = $node->{'args'};
	my $fmt;

	$fmt = $texminmax2fmt{$node->{'head'}->{'name'}};
	return &function_of_n_variables($node,$fmt);
}

1;
