#

$thiscd = 'relation1';

$cdformatter{$thiscd} = {
	'eq' => {
		'symbol' => \&tex_relation1_relation_symbol,
		'application' => \&tex_relation1_relation_application,
		},
	'geq' => {
		'symbol' => \&tex_relation1_relation_symbol,
		'application' => \&tex_relation1_relation_application,
		},
	'gt' => {
		'symbol' => \&tex_relation1_relation_symbol,
		'application' => \&tex_relation1_relation_application,
		},
	'leq' => {
		'symbol' => \&tex_relation1_relation_symbol,
		'application' => \&tex_relation1_relation_application,
		},
	'lt' => {
		'symbol' => \&tex_relation1_relation_symbol,
		'application' => \&tex_relation1_relation_application,
		},
	'neq' => {
		'symbol' => \&tex_relation1_relation_symbol,
		'application' => \&tex_relation1_relation_application,
		},
};

%texreln1fmt = (
	'eq' => ' = ',
	'geq' => ' \geq ',
	'gt' => ' > ',
	'leq' => ' \leq ',
	'lt' => ' < ',
	'neq ' => ' \neq ',
);

sub tex_relation1_relation_symbol {
	my ($node) = @_;
	my $fmt;

	$fmt = $texreln1fmt{$node->{'name'}};
	return ({'fmt' => $fmt, 'sfmt' => $fmt,
		'lpren' => '', 'rpren' => ''});
}

sub tex_relation1_relation_application {
	my ($node) = @_;
	my $args = $node->{'args'};
	my $fmt;

	if( scalar(@$args) != 2 ) {
		&format_die($node->{'head'}->{'name'} . " with wrong number of args.\n");
	}

	$fmt = $texreln1fmt{$node->{'head'}->{'name'}};
	return &binary_reln($node,$fmt);
}

1;
