#

$thiscd = 'set2';

$cdformatter{$thiscd} = {
	'size' => {
		'symbol'      => \&tex_set2_size_symbol,
		'application' => \&tex_set2_size_application,
		},
};

sub tex_set2_size_symbol {
	return ({'fmt' => '\mbox{size}', 'sfmt' => '\mbox{size}',
		'lpren' => '', 'rpren' => ''});
}

sub tex_set2_size_application {
	my ($node) = @_;
        my $head = $node->{'head'};
        my $args = $node->{'args'};
        my $fmt;

	if( scalar(@$args) != 1 ) {
		&format_die("size with wrong number of args.\n");
	}

	$fmt = '\#' . &format_type($args->[0])->{'fmt'};

	return ({'fmt' => $fmt, 'sfmt' => $fmt,
		'lpren' => '', 'rpren' => ''});
}

1;
