#

$thiscd = 'transc2';

$cdformatter{$thiscd} = {
	'arccosh' => {
		'symbol'      => \&tex_transc2_trigfn_symbol,
		'application' => \&tex_transc2_trigfn_application,
		},
	'arccot' => {
		'symbol'      => \&tex_transc2_trigfn_symbol,
		'application' => \&tex_transc2_trigfn_application,
		},
	'arccoth' => {
		'symbol'      => \&tex_transc2_trigfn_symbol,
		'application' => \&tex_transc2_trigfn_application,
		},
	'arccsc' => {
		'symbol'      => \&tex_transc2_trigfn_symbol,
		'application' => \&tex_transc2_trigfn_application,
		},
	'arccsch' => {
		'symbol'      => \&tex_transc2_trigfn_symbol,
		'application' => \&tex_transc2_trigfn_application,
		},
	'arcsec' => {
		'symbol'      => \&tex_transc2_trigfn_symbol,
		'application' => \&tex_transc2_trigfn_application,
		},
	'arcsech' => {
		'symbol'      => \&tex_transc2_trigfn_symbol,
		'application' => \&tex_transc2_trigfn_application,
		},
	'arcsinh' => {
		'symbol'      => \&tex_transc2_trigfn_symbol,
		'application' => \&tex_transc2_trigfn_application,
		},
	'arctanh' => {
		'symbol'      => \&tex_transc2_trigfn_symbol,
		'application' => \&tex_transc2_trigfn_application,
		},
};

%textrig2fmt = (
	'arccosh' => '\mbox{arccosh}',
	'arccot' => '\mbox{arccot}',
	'arccoth' => '\mbox{arccoth}',
	'arccsc' => '\mbox{arccsc}',
	'arccsch' => '\mbox{arccsch}',
	'arcsec' => '\mbox{arcsec}',
	'arcsech' => '\mbox{arcsech}',
	'arcsinh' => '\mbox{arcsinh}',
	'arctanh' => '\mbox{arctanh}',
);

sub tex_transc2_trigfn_symbol {
	my ($node) = @_;
	my $fmt;

	$fmt = $textrig2fmt{$node->{'name'}};
	return ({'fmt' => $fmt, 'sfmt' => $fmt,
		'lpren' => '', 'rpren' => ''});
}

sub tex_transc2_trigfn_application {
	my ($node) = @_;
	my $args = $node->{'args'};
	my $fmt;

	if( scalar(@$args) != 1 ) {
		&format_die($node->{'head'}->{'name'} . " with wrong number of args.\n");
	}
	$fmt = $textrig2fmt{$node->{'head'}->{'name'}};
	return &function_of_n_variables($node,$fmt);
}

1;
